Alembic Version 1.1

Classes | Public Types | Public Member Functions | List of all members
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema Class Reference

`#include <OPolyMesh.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema:
[legend]

## Classes
class | Sample

## Public Types
typedef OPolyMeshSchema | this_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PolyMeshSchemaInfo >
typedef PolyMeshSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< PolyMeshSchemaInfo >
typedef PolyMeshSchemaInfo | info_type
typedef OSchema< PolyMeshSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OPolyMeshSchema ()
| OPolyMeshSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OPolyMeshSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
| OPolyMeshSchema (const OPolyMeshSchema &iCopy)
| Copy constructor. More...
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment operator used. More...
size_t | getNumSamples () const
void | set (const Sample &iSamp)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
void | reset ()
bool | valid () const
OFaceSet & | createFaceSet (const std::string &iFaceSetName)
void | getFaceSetNames (std::vector< std::string > &oFaceSetNames)
| Appends the names of any FaceSets for this PolyMesh. More...
OFaceSet | getFaceSet (const std::string &iFaceSetName)
bool | hasFaceSet (const std::string &iFaceSetName)
void | setUVSourceName (const std::string &iName)
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (OPolyMeshSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PolyMeshSchemaInfo >
| OGeomBaseSchema ()
| OGeomBaseSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OGeomBaseSchema (const OGeomBaseSchema &iCopy)
| Copy constructor. More...
virtual void | reset ()
virtual bool | valid () const
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< PolyMeshSchemaInfo >
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
virtual | ~OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< PolyMeshSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)
Protected Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PolyMeshSchemaInfo >
void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds. More...
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
| OBasePropertyT (AbcA::CompoundPropertyWriterPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PolyMeshSchemaInfo >
Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Detailed Description

Definition at line 52 of file OPolyMesh.h.

## Member Typedef Documentation

## ◆ this_type

typedef OPolyMeshSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 162 of file OPolyMesh.h.

## Constructor & Destructor Documentation

## ◆ OPolyMeshSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::OPolyMeshSchema | ( |  | ) |
| inline

The default constructor creates an empty OPolyMeshSchema ...

Definition at line 170 of file OPolyMesh.h.

## ◆ OPolyMeshSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::OPolyMeshSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg2 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg3 = `Abc::Argument()`
| ) |  |

This constructor creates a new poly mesh writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OPolyMesh (.geom) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OPolyMeshSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::OPolyMeshSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg2 = `Abc::Argument()`
| ) |  |

This constructor creates a new poly mesh writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OPolyMesh (.geom) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OPolyMeshSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::OPolyMeshSchema | ( | const OPolyMeshSchema & | iCopy | ) |
| inline

Copy constructor.

Definition at line 203 of file OPolyMesh.h.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | OPolyMeshSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ createFaceSet()

OFaceSet & Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::createFaceSet | ( | const std::string & | iFaceSetName | ) |

## ◆ getFaceSet()

OFaceSet Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::getFaceSet | ( | const std::string & | iFaceSetName | ) |

## ◆ getFaceSetNames()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::getFaceSetNames | ( | std::vector< std::string > & | oFaceSetNames | ) |

Appends the names of any FaceSets for this PolyMesh.

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::getNumSamples | ( |  | ) | const
| inline

Get number of samples written so far. ...

Definition at line 235 of file OPolyMesh.h.

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::getTimeSampling | ( |  | ) | const
| inline

Default assignment operator used.

Return the time sampling type, which is stored on each of the sub properties.

Definition at line 217 of file OPolyMesh.h.

## ◆ hasFaceSet()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::hasFaceSet | ( | const std::string & | iFaceSetName | ) |

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::reset | ( |  | ) |
| inline virtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PolyMeshSchemaInfo >.

Definition at line 257 of file OPolyMesh.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::reset().

Here is the call graph for this function:

## ◆ set()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::set | ( | const Sample & | iSamp | ) |

Set a sample! Sample zero has to have non-degenerate positions, indices and counts.

## ◆ setFromPrevious()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::setFromPrevious | ( |  | ) |

Set from previous sample. Will apply to each of positions, indices, and counts.

## ◆ setTimeSampling() [1/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

## ◆ setTimeSampling() [2/2]

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::setTimeSampling | ( | uint32_t | iIndex | ) |

## ◆ setUVSourceName()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::setUVSourceName | ( | const std::string & | iName | ) |

Optional source name for the UV param. Must be set before the first UV sample is set.

## ◆ valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema::valid | ( |  | ) | const
| inline virtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< PolyMeshSchemaInfo >.

Definition at line 273 of file OPolyMesh.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::valid().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OPolyMesh.h